## Package org.springframework.jms.listener.adapter

Message listener adapter mechanism that delegates to target listener methods, converting messages to appropriate message content types (such as String or byte array) that get passed into listener methods.

See:
Description

Class Summary
MessageListenerAdapter: Message listener adapter that delegates the handling of messages to target listener methods via reflection, with flexible message type conversion.
MessageListenerAdapter102: Deprecated. as of Spring 3.0, in favor of the JMS 1.1 based `MessageListenerAdapter`

Exception Summary
ListenerExecutionFailedException: Exception to be thrown when the execution of a listener method failed.

## Package org.springframework.jms.listener.adapter Description

Message listener adapter mechanism that delegates to target listener methods, converting messages to appropriate message content types (such as String or byte array) that get passed into listener methods.